Subject: Re: bug#39023: adduser/addgroup vs useradd/groupadd

From: zimoun <[email-masked]>
Date: Wed, 22 Jan 2020 09:31:09 +0100

Hi Tobias,

On Wed, 22 Jan 2020 at 05:03, Tobias Geerinckx-Rice <[email-masked]> wrote:
> zimoun 写道：

> >  a/ explicitly notice in the parenthesis that the chunk needs to
> >  be
> > adapted; mentioning adduser/addgroup instead of useradd/groupadd
> > for
> > example.
>
> There's also:
>
>   c/ do nothing, or

It is not fair, IMHO. :-)

>   d/ include the complete code snippet provided by symphonia, but
>   as an ‘out-of-band’ footnote to avoid confusion/blind
>   copy-pasting/distracting the majority of (GNU) users with
>   irrelevant variants.

Well, mixing the option a/ and b/. :-)
 - telling explicitly
 - providing copy/paste-able variant snippet
Yes, it is a better option.

> With a/, the user won't know which options to change, or how.
> They might not understand our ‘useradd’ syntax, and won't have its
> man page installed.

Yes, and they would not know neither if their foreign distro comes
with exotic 'adduser/addgroup'.

> As implied by my reply to Gábor, b/ isn't an option so I've
> snipped it.

Yes, it is my assumption --based on my small experience-- that
'adduser/addgroup' is less portable than 'useradd/groupadd'.

> I strongly prefer option d/.

Let go to this one. :-)

Hum? let see I am able to include the complete code snippet as an
footnote using Texinfo...
(Maybe someone will beat me. :-)

> > What do the *NIX gurus think?
>
> GNU's not *NIX! :o)  (Nor is it POSIX.)

Héhé! Schrödinger's distro: by installing Guix on your foreign *NIX
distro, the user will have in the same time "not *NIX" and *NIX. ;-)

(Even if *NIX needs to run linux which mitigate the joke. :-))